System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection

This class represents a collection of objects associated with a certificate. These extensions can provide additional information about the certificate.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The method allows duplicate elements to be added to the collection.

  Adds an object to an object.

  The index at which the parameter was added.

  An object to add to the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies a collection into an array starting at the specified index.

  An array of objects. The location in the array at which copying starts.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of objects in a object.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ExtensionEnumerator

  Enumerators allow read-only access to data in the collection and cannot be used to modify the underlying collection.

  Returns an enumerator that can iterate through an object.

  An object to use to iterate through the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is derived from the interface and is overridden to always return false. For more information about this property, see the property of the interface.

  Gets a value indicating whether the collection is guaranteed to be thread safe.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Extension `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Extension `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This property implements the interface. The .NET Framework classes based on provide their own synchronized version of the collection using the property. Classes that use arrays can also implement their own synchronization using the property. The synchronizing code must perform operations on the property of the collection, not directly on the collection. This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might be simultaneously modifying the collection. Note that some implementations of might return the array itself.

  Enumerating through a collection is intrinsically not a thread-safe procedure. Even when a collection is synchronized, other threads could still modify the collection, which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the collection during the entire enumeration or catch the exceptions resulting from changes made by other threads.

  Gets an object that you can use to synchronize access to the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the collection into an array starting at the specified index.

  An array of objects. The location in the array at which copying starts.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  Enumerators allow read-only access to data in the collection and cannot be used to modify the underlying collection.

  Returns an enumerator that can iterate through an object.

  An object to use to iterate through the object.